Name: weechat
Version: 0.2.6
%define fullname	%name-%version
%define binname		%name-curses

Release: alt2
Summary: WeeChat - fast, light & extensible IRC client
License: GPLv3
Group: Networking/IRC
Url: http://weechat.flashtux.org/index.php?lang=en

Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.png

Patch: weechat-0.2.6-alt-gnutls.patch
Patch1: weechat-0.2.6-alt-ruby.patch
Patch2: weechat-0.2.6-alt-python.patch

# Automatically added by buildreq on Thu Oct 06 2005
BuildRequires: libgcrypt-devel libgnutls-devel libgpg-error-devel libruby-devel libtasn1-devel libtinfo-devel perl-devel python-base python-dev python-modules-encodings ruby-stdlibs zlib-devel ruby libaspell-devel liblua5-devel libncursesw-devel docbook-style-xsl cvs libgtk+2-devel

%description
WeeChat is the geekest Irc client.

%package plugin-aspell
Requires: %name = %version-%release
Summary: Aspell plugin for weechat
Group: Networking/IRC

%description plugin-aspell
This package contains aspell plugin for weechat.

%package plugin-lua
Requires: %name = %version-%release
Summary: Lua plugin for weechat
Group: Networking/IRC

%description plugin-lua
This package contains lua plugin for weechat.

%package plugin-perl
Requires: %name = %version-%release
Summary: Perl plugin for weechat
Group: Networking/IRC

%description plugin-perl
This package contains perl plugin for weechat.

%package plugin-python
Requires: %name = %version-%release
Summary: Python plugin for weechat
Group: Networking/IRC

%description plugin-python
This package contains python plugin for weechat.

%package plugin-ruby
Requires: %name = %version-%release
Summary: Ruby plugin for weechat
Group: Networking/IRC

%description plugin-ruby
This package contains ruby plugin for weechat.

%prep
%setup -q -n %name-%version
%patch -p2
%patch1 -p2
%patch2 -p2

# build plugins as plugins, not libs
find ./src/plugins -name "Makefile*" -print0 | xargs -r0 subst 's,\(\-module\),\1 -avoid-version,' --

%build

%__autoreconf

%configure \
	--with-debug=1 \
	--enable-perl \
	--enable-python \
	--enable-ruby \
	--enable-lua \
	--enable-gnutls \
	--disable-gtk \
	--disable-wxwindows \
	--disable-qt \
	--enable-aspell \
	--with-doc-xsl-prefix=/usr/share/xml/docbook/xsl-stylesheets-1.71.0

%make_build

%install
%make_install DESTDIR=%buildroot install

#menu
%__install -pm755 -d %buildroot%_menudir
%__install -pm644 %SOURCE1 %buildroot%_menudir/%name

#icons
%__mkdir_p %buildroot%_datadir/icons/
%__install -pm644 %SOURCE2 %buildroot%_datadir/icons/%name.png

#bin
%__ln_s `relative /usr/bin/%binname %_bindir/%binname` %buildroot%_bindir/%name

%find_lang %name

%files -f %name.lang
%_menudir/%name
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/charset.so
%_datadir/icons/%name.png
%_mandir/man?/*
%_docdir/%name

%files plugin-aspell
%_libdir/%name/plugins/aspell.so

%files plugin-lua
%_libdir/%name/plugins/lua.so

%files plugin-perl
%_libdir/%name/plugins/perl.so

%files plugin-python
%_libdir/%name/plugins/python.so

%files plugin-ruby
%_libdir/%name/plugins/ruby.so

%changelog
* Sat Jul 04 2009 Alexey I. Froloff <raorn@altlinux.org> 0.2.6-alt2
- Rebuilt with Ruby 1.9
- Fixed build with new gnutls
- Removed obsolete %%update_menus/%%clean_menus calls

* Fri Sep 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.6-alt1
- 0.2.6.
- License: GPLv3.

* Wed Jun 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.5-alt1
- 0.2.5.

* Fri Apr 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.4-alt1
- 0.2.4.

* Thu Oct 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.2.1-alt2
- 0.2.1.

* Wed May 31 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.7-alt2.1
- Rebuild with libgnutls.so.13 .

* Tue Mar 07 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.7-alt2
- fix build with new ruby.

* Sat Jan 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.7-alt1
- 0.1.7 release.

* Thu Oct 06 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.5-alt1
- 0.1.5 release.
- fixed absolute link.
- added ruby plugins support.

* Tue Jul 05 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.3-alt1
- 0.1.3 release

* Sat Jun 11 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.2.1-alt1
- 0.1.2.1 release.
- python interface added.

* Fri Apr 08 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.1-alt2
- 0.1.1 release.

* Fri Mar 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.1-alt1
- 0.1.1 CVS from 04032005.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.0.9-alt0.1pre2
- 0.0.9pre1 development version.
- initial build for sisyphus
